wget_http_request(3)

NAME
wget_http_request

SYNOPSIS

#include <wget.h>

  Data Fields
wget_vector * headers
list of HTTP headers
const char * body
body data to be sent or NULL
wget_http_header_callback * header_callback
called after HTTP header has been received
wget_http_body_callback * body_callback
called for each body data packet received
void * user_data
user data for the request (used by async application code)
void * header_user_data
meant to be used in header callback function
void * body_user_data
meant to be used in body callback function
wget_buffer esc_resource
URI escaped resource.
wget_buffer esc_host
URI escaped host.
size_t body_length
length of the body data
int32_t stream_id
HTTP2 stream id.
wget_iri_scheme scheme
scheme of the request for proxied connections
char esc_resource_buf [256]
static buffer used by esc_resource (avoids mallocs)
char esc_host_buf [64]
static buffer used by esc_host (avoids mallocs)
char method [8]
currently we just need HEAD, GET and POST
bool response_keepheader: 1
the application wants the response header data
bool response_ignorelength: 1
ignore the Content-Length in the response header
bool debug_skip_body: 1
if set, do not print the request body (e.g. because it's binary)
long long request_start
When this request was sent out.
long long first_response_start
The time we read the first bytes back.

Detailed Description

HTTP request data

Author

Generated automatically by Doxygen for wget2 from the source code.